openhatch

Issue349

Title Specify version numbers of our dependencies in buildout.cfg, so that buildout is "repeatable"
Milestone 0.11.06 Priority wish
Waiting On Status resolved
Superseder Nosy List TravisB, palhmbs, paulproteus
Assigned To TravisB Keywords bitesize

Created on 2011-03-25.23:37:08 by paulproteus, last changed 2011-06-19.23:48:57 by paulproteus.

Files
File name Uploaded Type Edit Remove
0001-Fix-issue-349.-Add-version-info-to-all-packages-unde.patch TravisB, 2011-06-19.20:25:13 text/x-patch
Messages
msg2086 (view) Author: paulproteus Date: 2011-06-19.23:48:57
This looks great. I've pushed it to origin/master.

TravisB, in the future, try to write commit log messages that comply with
http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html

We're going to, as time goes on, want to try upgrading things in here to have
higher version numbers and see what breaks. For now, this is excellent.
msg2082 (view) Author: TravisB Date: 2011-06-19.20:25:13
Submitted fixed patch.  Weird that happened!
msg2080 (view) Author: palhmbs Date: 2011-06-19.06:19:48
TravisB, it looks like there is one small oopsy... 
At least when I ran buildout I got an error:
Getting distribution for 'Twisted==11.0.0'.
Error: Couldn't find a distribution for 'Twisted==11.0.0'.

I think it ought to be.. Twisted = 10.2.0 instead.
msg2079 (view) Author: TravisB Date: 2011-06-18.22:02:57
Submitted fix where we only specificy versions for:
     1) packages already listed under eggs in bin/buildout.cfg
     2) not supplied by the user (what we request for in the readme)
msg1345 (view) Author: paulproteus Date: 2011-03-25.23:37:08
It would be really nice if our buildout.cfg specified the version numbers of all
the Python packages the site depends on.

http://maurits.vanrees.org/weblog/archive/2008/01/easily-creating-repeatable-buildouts
is a good tutorial on doing that.

This is "bitesize", probably, if you're interested in learning about Python
packaging and the "buildout" tool.
History
Date User Action Args
2011-06-19 23:48:57paulproteussetstatus: need-review -> resolved
messages: + msg2086
2011-06-19 20:25:40TravisBsetstatus: in-progress -> need-review
2011-06-19 20:25:14TravisBsetfiles: + 0001-Fix-issue-349.-Add-version-info-to-all-packages-unde.patch
messages: + msg2082
2011-06-19 20:24:49TravisBsetfiles: - 0001-Fix-issue-349.-Add-version-info-to-all-packages-unde.patch
2011-06-19 06:19:49palhmbssetstatus: need-review -> in-progress
messages: + msg2080
2011-06-18 22:02:57TravisBsetstatus: chatting -> need-review
files: + 0001-Fix-issue-349.-Add-version-info-to-all-packages-unde.patch
messages: + msg2079
2011-06-18 20:29:17TravisBsetassignedto: TravisB
nosy: + TravisB
2011-05-29 01:38:03palhmbssetstatus: unread -> chatting
2011-05-29 01:37:54palhmbssetnosy: + palhmbs
milestone: 0.11.06
2011-03-25 23:37:08paulproteuscreate